Description

The otherEntity element contains most of the same elements as the dataTable
element. For some reason the numberOfRecords is only contained in the dataTable
element. | think it would worth thinking about having it available but not

required in the otherEntity element. This way it would be easier to change a

dataTable element to an otherEntity element. It also seems like an

inconsistency. The main difference between the two elements is that a dataTable
requires that that the attributes are described and a otherEntity does not

require that. | think adding the numberOfRecords (not required though, 0 to many) to the otherEntity elements may help with
converting dataTable entities to otherEntities when there is problems with listing the attributes.

History

#1 - 09/19/2008 04:39 PM - Margaret O'Brien

numberOfRecords is appropriate for tables, whereas the OtherEntityType is for describing entities that can't be handled by the other types. To find a
numberOfRecords element under otherEntity would be confusing. It should not be added to that type only to accommodate incomplete dataTables.

#2 - 09/19/2008 10:46 PM - Matt Jones

| agree. We've used otherEntity to hold data objects when we don't yet have an entity/attribute description -- all we know is that it is data. Once we
determine that it is a table we should be moving it to the dataTable entity type. Unless someone posts a rationale here for keeping this bug open, |

suggest it be closed as 'won't fix'.

#3 - 10/01/2008 03:57 PM - Margaret O'Brien
bug resolved, changed to WONTFIX

#4 - 03/27/2013 02:22 PM - Redmine Admin
Original Bugzilla ID was 3188
